# Variable WritableStream

WritableStream: {
prototype: WritableStream<any>;
new <W>(underlyingSink?, strategy?): WritableStream<W>;
}

#### Type declaration

- - new <W>(underlyingSink?, strategy?): WritableStream<W>

  - #### Type Parameters

    - W = any

    #### Parameters

    - `Optional` underlyingSink: UnderlyingSink<W>
    - `Optional` strategy: QueuingStrategy<W>

    #### Returns WritableStream<W>

- ##### prototype: WritableStream<any>

- Defined in node_modules/@types/node/stream/web.d.ts:232
- Defined in node_modules/@types/node/stream/web.d.ts:238